Subject: bug#42603: closed (Re: bug#42603: EWW shows chars > #xFF with font set by "set-fontset-font")

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Aug 2020 18:40:02 +0000

Your bug report

#42603: EWW shows chars > #xFF with font set by "set-fontset-font"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42603: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42603
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42603: EWW shows chars > #xFF with font set by "set-fontset-font"
From: Sebastian Urban <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Mon, 3 Aug 2020 20:39:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>> And if I want some characters to be rendered, and the rest not to be
>> rendered - to which font I should assign "the rest"?
> 
> Leave them unassigned: Emacs will find the proper font itself.

Alright, I'll stick to:
   (set-fontset-font "fontset-default" 'unicode "nil")
for now, but if something goes wrong, I'll remove this line and try to
use per script/range settings for as much chars as I need/want, and let
Emacs do the work for other characters.

S. U.

Subject: EWW shows chars > #xFF with font set by "set-fontset-font"
From: Sebastian Urban <[email-masked]>
To: Bug GNU Emacs <[email-masked]>
Date: Wed, 29 Jul 2020 18:26:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

a quick recipe:
1. Open website in EWW with chars above #xFF, e.g.:
    M-x eww RET https://sjp.pl/slownik/ort/ RET
2. M-: (set-fontset-font t 'unicode "Times New Roman")
    ... or any font, other than in variable-pitch face
3. Watch as some chars change font.

The thing is, both unchanged and changed chars have face of
variable-pitch ("C-u C-x =" on char), so nothing should change,
I think.

Something similar happens in:
    M-x list-charset-chars RET unicode-bmp RET
#x00 -> #xFF stays the same, next segments change.

Tested on: GNU Emacs 28.0.50 (build 1, x86_64-w64-mingw32) of
2020-07-05.

S. U.